Results 1 to 3 of 3

Thread: xmgrace (grace) installs on openSUSE 10.2 but not in 11.0

  1. #1

    Default xmgrace (grace) installs on openSUSE 10.2 but not in 11.0

    Hi:
    xmgrace (grace-5.1.22) with lesstif does not install
    on openSUSE 11.0 but it does with openSUSE 10.2
    Somebody knows how to fix this problem?
    Any information is welcomed. Thanks.

  2. #2

    Default Re: xmgrace (grace) installs on openSUSE 10.2 but not in 11.

    I'm not sure if you need the latest version but 5.1.21 works fine. I've used it regularly without issues. This is the prebuilt rpm. I was aware 5.1.22 fails but unfortunately I don't know how to get it working and would also like a solution.

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,284
    Blog Entries
    15

    Default Re: xmgrace (grace) installs on openSUSE 10.2 but not in 11.0

    Quote Originally Posted by hayjeff
    I'm not sure if you need the latest version but 5.1.21 works fine. I've
    used it regularly without issues. This is the prebuilt rpm. I was
    aware 5.1.22 fails but unfortunately I don't know how to get it working
    and would also like a solution.
    Hi
    You need to set a few flags to compile (note for a 32bit system);

    Code:
    CFLAGS='-O2 -g -m32 -march=i586 -mtune=i686 -fmessage-length=0
    -D_FORTIFY_SOURCE=2'
    
    ../configure --prefix=/usr --libdir=/usr/lib
    --enable-grace-home=/usr/lib/xmgrace --bindir=/usr/bin
    '--with-helpviewer=/usr/bin/desktop-launch %s' --mandir=/usr/share/man
    
    make
    
    sudo make install
    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.18-0.2-default
    up 1 day 8:19, 3 users, load average: 1.07, 0.61, 0.39
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.82


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •